<div class="d-none" {{did-insert this.setup}}></div>

{{#if this.haveEnabledSwitch}}
  <Label @value={{t "use default values"}} as |id|>
    <Input::Select id={{id}} @list={{this.enableValues}} @value={{this.isEnabledId}} @onChange={{this.changeIsEnabled}}
      class="select-use-default-values mb-3" />
  </Label>
{{/if}}

{{#if this.isEnabled}}
  {{#each this.values as |value index|}}
    <div class="input-group mb-2">
      <span class="input-group-text">{{sum index 1}}</span>
      <Input::Select @list={{@list}} @value={{value}} @onChange={{fn this.updateItem index}} class="select-value"/>
      <button type='button' class='btn btn-outline-danger btn-delete' {{on 'click' (fn this.removeItem index)}}>
        <FaIcon @icon='trash' />
      </button>
    </div>
  {{/each}}

  {{#if this.canAdd}}
    <button type='button' class='btn btn-outline-primary btn-add-item' {{on 'click' this.addItem}}>
      <FaIcon @icon='plus' />
      {{t 'item'}}
    </button>
  {{/if}}
{{else}}
  {{#each @defaultValues as |value index|}}
    <div class="input-group mb-2">
      <span class="input-group-text">{{sum index 1}}</span>
      {{!-- template-lint-disable require-input-label --}}
      <Input @value={{value.name}} class="form-control text-value" disabled />
    </div>
  {{/each}}
{{/if}}